<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
    <meta charset="UTF-8">
    <title>Department transaction</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar_reports::sidebar_reports" th:remove="tag"> sidebar </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Department Transactions
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <table class="table table-primary small">
                    <tbody>
                    <tr>
                        <td style="width: 5px;">Department</td>
                        <td th:text="${departemen.getNamaDepartemen()}"></td>
                    </tr>
                    <tr>
                        <td>Period</td>
                        <td th:text="${periodeAnggaran.getNamaPeriodeAnggaran()}"></td>
                    </tr>
                    </tbody>
                </table>
            </div>
            <div class="col-md-6" align="right">
                <a class="btn btn-secondary" th:href="@{/reports/dailycash/home}">Back</a>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="tableFixHead">
                    <table class="table table-hover table-striped small">
                        <thead class="table-dark" style="--bs-table-bg:#15408d;">
                        <tr>
                            <th class="align-middle text-center" scope="col" style="width: 10px">#</th>
                            <th class="align-middle text-center" scope="col">Request Desc</th>
                            <th class="align-middle text-center" scope="col">Request Date</th>
                            <th class="align-middle text-center" scope="col">Request</th>
                            <th class="align-middle text-center" scope="col">Realized Date</th>
                            <th class="align-middle text-center" scope="col">Realized</th>
<!--                            <th scope="col">Refund</th>-->
                        </tr>
                        </thead>
                        <tbody th:each="dataKasHarian,row : ${listKasHarian}">
                        <tr th:if="${dataKasHarian.getNomor() == 1}">
                            <td th:text="${(row.index + 1)}">1.</td>
                            <td th:text="${dataKasHarian.getDeskripsiBiaya()}"></td>
                            <td align="right" th:text="${#temporals.format(dataKasHarian.getTanggalPengajuan(),'dd-MMM-yyyy')}"></td>
                            <td align="right" th:text="${#numbers.formatDecimal(dataKasHarian.getPengajuan(), 0, 'POINT', 2, 'COMMA')}"></td>
                            <td align="right" th:text="${#temporals.format(dataKasHarian.getTanggalLaporan(),'dd-MMM-yyyy')}"></td>
                            <td align="right" th:text="${#numbers.formatDecimal(dataKasHarian.getRealisasi(), 0, 'POINT', 2, 'COMMA')}"></td>
                        </tr>
                        <tr style="--bs-table-bg:#aedec4;" th:if="${dataKasHarian.getNomor() == 2}">
                            <td align="center" colspan="4" class="text-bold">
                                <b th:text="${dataKasHarian.getDeskripsiBiaya() + ' ' + dataKasHarian.getBulan() + ' Tahun ' + dataKasHarian.getTahun()}"></b>
                            </td>
                            <td align="right" colspan="2" class="text-bold">
                                <b class="text-bold" th:text="${#numbers.formatDecimal(dataKasHarian.getTotal(), 0, 'POINT', 2, 'COMMA')}"></b>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <br>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <p>
                    <span class="text-danger small" th:text="${'Data diatas adalah data kalkulasi pada tanggal '+ #temporals.format(tanggalUpdate.plusHours(7),'dd-MMM-yyyy hh:mm a')}"></span>
                </p>
            </div>
        </div>

    </main>

</main>

</body>
</html>


<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Approved Fund</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--    <h1>-->
<!--        Daily Cash-->
<!--        <small>List Data</small>-->
<!--    </h1>-->
<!--    <ol class="breadcrumb">-->
<!--        <li class="treeview active"> Reports</li>-->
<!--        <li class="active"> Daily Cash</li>-->
<!--    </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->


<!--    <div class="row">-->
<!--        <div class="col-md-12">-->
<!--            <div class="nav-tabs-custom">-->
<!--                <ul class="nav nav-tabs">-->
<!--                    <li class="active"><a href="#timeline" data-toggle="tab">Daily Cash</a></li>-->
<!--                </ul>-->
<!--                <div class="tab-content">-->
<!--                    <div class="active tab-pane" id="timeline">-->
<!--                        &lt;!&ndash; The timeline &ndash;&gt;-->
<!--                        <div class="box-header with-border">-->

<!--                        </div>-->
<!--                        </form>-->
<!--                        <br>-->
<!--                        <div class="box-body no-padding">-->
<!--                            <div class="box-body table-responsive no-padding">-->
<!--                                <table class="table table-bordered">-->
<!--                                    <tr>-->
<!--                                        <th style="width: 10px">#</th>-->
<!--                                        <th>By</th>-->
<!--                                        <th>Code</th>-->
<!--                                        <th>Request Desc</th>-->
<!--                                        <th>Request - Disbursement - Realized - Refund</th>-->
<!--                                    </tr>-->
<!--                                    <tr th:each="dataKasHarian,row : ${listKasHarian}">-->

<!--                                        <td th:text="${(row.index + 1)}">1.</td>-->
<!--                                        <td th:text="${dataKasHarian.getNama()}"></td>-->
<!--                                        <td>-->
<!--                                            <span th:text="${dataKasHarian.getKode()}"></span>-->
<!--                                        </td>-->
<!--&lt;!&ndash;                                        <td>&ndash;&gt;-->
<!--&lt;!&ndash;                                                        &ndash;&gt;-->
<!--&lt;!&ndash;                                        </td>&ndash;&gt;-->

<!--                                        <td>-->
<!--                                            <table class="table table-bordered">-->
<!--                                                <tr>-->
<!--                                                    <td th:text="${dataKasHarian.getName()}"></td>-->
<!--                                                </tr>-->
<!--                                                <tr>-->
<!--                                                    <td>-->
<!--                                                        <span th:each="dataPengajuanDanaDetail,row : ${listPengajuanDanaDetail}">-->
<!--                                                            <a th:if="${dataPengajuanDanaDetail.getPencairanDana().getId() == dataKasHarian.getIdPencairanDana()} and ${dataPengajuanDanaDetail.getPengajuanDana().getFile()} == 'default.jpg'" >-->
<!--                                                                <span style="color: #9e0505" th:text="${dataPengajuanDanaDetail.pengajuanDana.getDeskripsiBiaya() + ', '}"></span>-->
<!--                                                            </a>-->
<!--                                                            <a th:if="${dataPengajuanDanaDetail.getPencairanDana().getId() == dataKasHarian.getIdPencairanDana()} and ${dataPengajuanDanaDetail.getPengajuanDana().getFile()} != 'default.jpg'" th:href="@{/pengajuandana/{pengajuanDana}/bukti/(pengajuanDana = ${dataPengajuanDanaDetail.pengajuanDana.id})}" target="_blank">-->
<!--                                                                <span th:text="${dataPengajuanDanaDetail.pengajuanDana.getDeskripsiBiaya() + ', '}"></span>-->
<!--                                                            </a>-->
<!--                                                        </span>-->
<!--                                                        <span th:each="dataPengajuanDana,row : ${listPengajuanDana}">-->
<!--                                                            <a th:if="${dataPengajuanDana.getId() == dataKasHarian.getIdPencairanDana()} and ${dataPengajuanDana.getFile()} == 'default.jpg'" >-->
<!--                                                                <span style="color: #9e0505" th:text="${dataPengajuanDana.getDeskripsiBiaya() + ', '}"></span>-->
<!--                                                            </a>-->
<!--                                                            <a th:if="${dataPengajuanDana.getId() == dataKasHarian.getIdPencairanDana()} and ${dataPengajuanDana.getFile()} != 'default.jpg'" th:href="@{/pengajuandana/{pengajuanDana}/bukti/(pengajuanDana = ${dataPengajuanDana.id})}" target="_blank">-->
<!--                                                                <span th:text="${dataPengajuanDana.getDeskripsiBiaya() + ', '}"></span>-->
<!--                                                            </a>-->
<!--                                                        </span>-->
<!--                                                    </td>-->
<!--                                                </tr>-->
<!--                                            </table>-->
<!--                                        </td>-->

<!--                                        <td>-->
<!--                                            <table class="table table-bordered">-->
<!--                                                <tr>-->
<!--                                                    <td width="25%" align="right">-->
<!--                                                        <span th:text="${#temporals.format(dataKasHarian.getTanggalpengajuan(),'dd-MMM-yyyy')}"></span>-->
<!--                                                    </td>-->
<!--                                                    <td width="25%" align="right">-->
<!--                                                        <span th:text="${#temporals.format(dataKasHarian.getTanggalcair(),'dd-MMM-yyyy')}"></span>-->
<!--                                                    </td>-->
<!--                                                    <td width="25%" align="right">-->
<!--                                                        <span th:text="${#temporals.format(dataKasHarian.getTanggallaporan(),'dd-MMM-yyyy')}"></span>-->
<!--                                                    </td>-->
<!--                                                    <td width="25%" align="right">-->
<!--                                                        <span th:text="${#temporals.format(dataKasHarian.getTanggallaporan(),'dd-MMM-yyyy')}"></span>-->
<!--                                                    </td>-->
<!--                                                </tr>-->
<!--                                                <tr>-->
<!--                                                    <td align="right">-->
<!--                                                        <a style="color: #9e0505" th:if="${dataKasHarian.getBuktiMintaPencairan()} == 'default.jpg'" th:text="${#numbers.formatDecimal(dataKasHarian.getPengajuan(), 0, 'POINT', 2, 'COMMA')}" >-->
<!--                                                            No Attachment-->
<!--                                                        </a>-->
<!--                                                        <a th:if="${dataKasHarian.getBuktiMintaPencairan()} != 'default.jpg'" th:text="${#numbers.formatDecimal(dataKasHarian.getPengajuan(), 0, 'POINT', 2, 'COMMA')}"  th:href="@{/pencairandana/{pencairanDana}/bukti/(pencairanDana = ${dataKasHarian.getIdPencairanDana()})}" target="_blank">-->
<!--                                                            View Attachment-->
<!--                                                        </a>-->
<!--                                                    </td>-->

<!--                                                    <td align="right">-->
<!--                                                        <a style="color: #9e0505" th:if="${dataKasHarian.getBuktiPencairan()} == 'default.jpg'" th:text="${#numbers.formatDecimal(dataKasHarian.getDisburse(), 0, 'POINT', 2, 'COMMA')}" >-->
<!--                                                            No Attachment-->
<!--                                                        </a>-->
<!--                                                        <a th:if="${dataKasHarian.getBuktiPencairan()} != 'default.jpg'" th:text="${#numbers.formatDecimal(dataKasHarian.getDisburse(), 0, 'POINT', 2, 'COMMA')}"  th:href="@{/pencairandanacair/{pencairanDana}/bukti/(pencairanDana = ${dataKasHarian.getIdPencairanDana()})}" target="_blank">-->
<!--                                                            View Attachment-->
<!--                                                        </a>-->
<!--                                                    </td>-->
<!--                                                    <td align="right">-->
<!--                                                        <span></span>-->
<!--                                                        <table class="table table-bordered">-->
<!--                                                            <tr>-->
<!--                                                                <th th:text="${'Total : '+ #numbers.formatDecimal(dataKasHarian.getRealisasi(), 0, 'POINT', 2, 'COMMA')}">Detail</th>-->
<!--                                                            </tr>-->
<!--                                                            <tr>-->
<!--                                                                <td>-->
<!--                                                                    <span th:each="dataLaporanDana,row : ${listLaporanDana}">-->
<!--                                                                        <a th:if="${dataLaporanDana[14] == dataKasHarian.getIdPencairanDana()} and ${dataLaporanDana[10]} == 'default.jpg'" >-->
<!--                                                                            <span style="color: #9e0505" th:text="${dataLaporanDana[5] + ', '}"></span>-->
<!--                                                                        </a>-->
<!--                                                                        <a th:if="${dataLaporanDana[14] == dataKasHarian.getIdPencairanDana()} and ${dataLaporanDana[10]} != 'default.jpg'" th:href="@{/laporandana/{laporanDana}/bukti/(laporanDana = ${dataLaporanDana[0]})}" target="_blank">-->
<!--                                                                            <span th:text="${dataLaporanDana[5]} + ', '"></span>-->
<!--                                                                        </a>-->
<!--                                                                    </span>-->

<!--                                                                </td>-->
<!--                                                            </tr>-->
<!--                                                        </table>-->

<!--                                                    </td>-->
<!--                                                    <td th:text="${#numbers.formatDecimal(dataKasHarian.getSelisih(), 0, 'POINT', 2, 'COMMA')}" align="right">-</td>-->
<!--                                                </tr>-->
<!--                                            </table>-->
<!--                                        </td>-->
<!--                                    </tr>-->
<!--                                </table>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="box-footer clearfix">-->
<!--                        </div>-->
<!--                    </div>-->

<!--                </div>-->
<!--                &lt;!&ndash; /.tab-content &ndash;&gt;-->
<!--            </div>-->
<!--            &lt;!&ndash; /.nav-tabs-custom &ndash;&gt;-->
<!--        </div>-->
<!--    </div>-->






<!--</section>-->

<!--<section layout:fragment="footer" class="script">-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Initialize Select2 Elements-->
<!--            $('.select2').select2()-->

<!--            //Datemask dd/mm/yyyy-->
<!--            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })-->
<!--            //Datemask2 mm/dd/yyyy-->
<!--            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })-->
<!--            //Money Euro-->
<!--            $('[data-mask]').inputmask()-->

<!--            //Date range picker-->
<!--            $('#range').daterangepicker()-->
<!--            //Date range picker with time picker-->
<!--            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})-->
<!--            //Date range as a button-->
<!--            $('#daterange-btn').daterangepicker(-->
<!--                {-->
<!--                    ranges   : {-->
<!--                        'Today'       : [moment(), moment()],-->
<!--                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],-->
<!--                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],-->
<!--                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],-->
<!--                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],-->
<!--                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]-->
<!--                    },-->
<!--                    startDate: moment().subtract(29, 'days'),-->
<!--                    endDate  : moment()-->
<!--                },-->
<!--                function (start, end) {-->
<!--                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))-->
<!--                }-->
<!--            )-->

<!--            //Date picker-->
<!--            $('#datepicker').datepicker({-->
<!--                autoclose: true-->
<!--            })-->

<!--            //iCheck for checkbox and radio inputs-->
<!--            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-blue',-->
<!--                radioClass   : 'iradio_minimal-blue'-->
<!--            })-->
<!--            //Red color scheme for iCheck-->
<!--            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-red',-->
<!--                radioClass   : 'iradio_minimal-red'-->
<!--            })-->
<!--            //Flat red color scheme for iCheck-->
<!--            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_flat-green',-->
<!--                radioClass   : 'iradio_flat-green'-->
<!--            })-->

<!--            //Colorpicker-->
<!--            $('.my-colorpicker1').colorpicker()-->
<!--            //color picker with addon-->
<!--            $('.my-colorpicker2').colorpicker()-->

<!--            //Timepicker-->
<!--            $('.timepicker').timepicker({-->
<!--                showInputs: false-->
<!--            })-->
<!--        })-->
<!--    </script>-->
<!--    <script>-->
<!--        $(".js-example-placeholder-single").select2({-->
<!--            placeholder: "Pilih Salah Satu",-->
<!--            allowClear: true-->
<!--        });-->

<!--        $('.simpan').click(function () {-->
<!--            Swal.fire({-->
<!--                position: 'top-end',-->
<!--                type: 'success',-->
<!--                title: 'Your work has been saved',-->
<!--                showConfirmButton: false-->
<!--            })-->
<!--        });-->
<!--    </script>-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Enable iCheck plugin for checkboxes-->
<!--            //iCheck for checkbox and radio inputs-->
<!--            $('.mailbox-messages input[type="checkbox"]').iCheck({-->
<!--                checkboxClass: 'icheckbox_flat-blue',-->
<!--                radioClass: 'iradio_flat-blue'-->
<!--            });-->

<!--            //Enable check and uncheck all functionality-->
<!--            $(".checkbox-toggle").click(function () {-->
<!--                var clicks = $(this).data('clicks');-->
<!--                if (clicks) {-->
<!--                    //Uncheck all checkboxes-->
<!--                    $(".mailbox-messages input[type='checkbox']").iCheck("uncheck");-->
<!--                    $(".fa", this).removeClass("fa-check-square-o").addClass('fa-square-o');-->
<!--                } else {-->
<!--                    //Check all checkboxes-->
<!--                    $(".mailbox-messages input[type='checkbox']").iCheck("check");-->
<!--                    $(".fa", this).removeClass("fa-square-o").addClass('fa-check-square-o');-->
<!--                }-->
<!--                $(this).data("clicks", !clicks);-->
<!--            });-->

<!--            //Handle starring for glyphicon and font awesome-->
<!--            $(".mailbox-star").click(function (e) {-->
<!--                e.preventDefault();-->
<!--                //detect type-->
<!--                var $this = $(this).find("a > i");-->
<!--                var glyph = $this.hasClass("glyphicon");-->
<!--                var fa = $this.hasClass("fa");-->

<!--                //Switch states-->
<!--                if (glyph) {-->
<!--                    $this.toggleClass("glyphicon-star");-->
<!--                    $this.toggleClass("glyphicon-star-empty");-->
<!--                }-->

<!--                if (fa) {-->
<!--                    $this.toggleClass("fa-star");-->
<!--                    $this.toggleClass("fa-star-o");-->
<!--                }-->
<!--            });-->
<!--        });-->
<!--    </script>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->